Subject: [Mailsec] Re: SMTP headers in DATA block?
From: "John R Levine" <[email-masked]>
To: "Murray S. Kucherawy" <[email-masked]>
Cc: [email-masked]
Date: 10 Jun 2025 13:50:12 +0200
List-Id: Email Security Issues <mailsec.ietf.org>

On Tue, 10 Jun 2025, Murray S. Kucherawy wrote:
> Even if you do add the header field and it is presented to users, my
> inclination is to believe that this will just be either ignored or more
> confusing for users, who tend to lean toward assuming something is
> legitimate in the presence of at least partial information that looks
> familiar.
>
> I don't have a better suggestion, but I'm skeptical that this would be a win.

All my experience says that the right place to do mail filtering is the 
MDA.  It has all of the information and has all the options about what to 
do with the mail.  There are MUAs that try to do filtering but that's 
mostly an historical artifact from a long time ago when MDA filtering 
didn't happen.

Anything this header is supposed to enable should be easier to do in the 
MDA.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly